Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.sampler
Class FixedQueueExecutor

    java.lang.Object
      org.apache.jmeter.protocol.jms.sampler.FixedQueueExecutor

All Implemented Interfaces:
  QueueExecutor

public class FixedQueueExecutor
extends Object
implements QueueExecutor

Request/reply executor with a fixed reply queue.
Used by JMS Sampler (Point to Point) Created on: October 28, 2004

Constructor Summary
`FixedQueueExecutor(javax.jms.QueueSender producer, int timeout)` Constructor.
`FixedQueueExecutor(javax.jms.QueueSender producer, int timeout, boolean useReqMsgIdAsCorrelId)` Constructor.

Method Summary
`javax.jms.Message` | `sendAndReceive(javax.jms.Message request)` Sends and receives a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedQueueExecutor

    public FixedQueueExecutor(javax.jms.QueueSender producer,
                              int timeout)

  Constructor.

Parameters:
  `producer` - the queue to send the message on
  `timeout` - timeout to use for the return message

### FixedQueueExecutor

    public FixedQueueExecutor(javax.jms.QueueSender producer,
                              int timeout,
                              boolean useReqMsgIdAsCorrelId)

  Constructor.

Parameters:
  `producer` - the queue to send the message on
  `timeout` - timeout to use for the return message
  `useReqMsgIdAsCorrelId` - whether to use the request message id as the correlation id

Method Detail

### sendAndReceive

    public javax.jms.Message sendAndReceive(javax.jms.Message request)
                                     throws javax.jms.JMSException

  Description copied from interface: `QueueExecutor`
  Sends and receives a message.

  Specified by:
    `sendAndReceive` in interface `QueueExecutor`
  Parameters:
    `request` - the message to send
  Returns:
    the received message or `null`
  Throws:
    `javax.jms.JMSException` - in case of an exception from the messaging system

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.